{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a new rate for a `parent` + `resource` combination.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["created_by","created_by.name","currency_code","parent","parent.name","parent.resource_subtype","rate","resource","resource.name"]},"examples":[["created_by","created_by.name","currency_code","parent","parent.name","parent.resource_subtype","rate","resource","resource.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/RateRequest"}}}},"required":["body"],"additionalProperties":false,"definitions":{"RateRequest":{"description":"A generic Asana Resource, containing a globally unique identifier.","type":"object","properties":{"parent":{"description":"Globally unique ID of the parent object: project.","type":"string","examples":["12345"]},"resource":{"description":"Globally unique ID of the resource object: user or placeholder.","type":"string","examples":["12345"]},"rate":{"description":"The monetary value of the rate.","type":"number","examples":[100]}},"required":["parent","resource","rate"]}}},"name":"Create a rate","id":"asana.createrate","example":{"body":{}},"maxRequests":1,"summary":false}}